Bug 909119 (CVE-2013-0288) - CVE-2013-0288 nss-pam-ldapd: FD_SET array index error, leading to stack-based buffer overflow
Summary: CVE-2013-0288 nss-pam-ldapd: FD_SET array index error, leading to stack-based...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0288
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 912454 915361 915362
Blocks: 909124
TreeView+ depends on / blocked
 
Reported: 2013-02-08 10:58 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-05 00:36:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0590 normal SHIPPED_LIVE Important: nss-pam-ldapd security update 2013-03-05 02:10:24 UTC
Debian BTS 690319 None None None Never

Description Jan Lieskovsky 2013-02-08 10:58:16 UTC
An array index error, leading to stack-based buffer overflow flaw was found in the way nss-pam-ldapd, a PAM and nsswitch module which uses directory servers, performed management of file descriptors when performing file descriptors activity wait. An attacker could use this flaw to cause processes with a large number of opened file descriptors, that performed name lookups to crash or, potentially, execute arbitrary code with the privileges of the user running the process.

Upstream advisory:
[1] http://arthurdejong.org/nss-pam-ldapd/CVE-2013-0288

Comment 2 Jan Lieskovsky 2013-02-08 11:01:37 UTC
This issue affects the version of the nss-pam-ldapd package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the version of the nss-pam-ldapd package, as shipped with Fedora release of 17.

--

This issue did NOT affect the version of the nss-pam-ldapd package, as shipped with Fedora release of 18 (the functionality in question has been reimplemented to use poll() system call instead, and therefore as such is NOT vulnerable to this problem).

Comment 3 Jan Lieskovsky 2013-02-08 11:02:38 UTC
Acknowledgements:

Red Hat would like to thank Garth Mollett for reporting this issue.

Comment 8 Jan Lieskovsky 2013-02-14 18:09:55 UTC
The CVE identifier of CVE-2013-0288 has been assigned to this issue.

Comment 11 Jan Lieskovsky 2013-02-18 17:21:34 UTC
Created nss-pam-ldapd tracking bugs for this issue

Affects: fedora-17 [bug 912454]

Comment 12 Jan Lieskovsky 2013-02-18 17:30:58 UTC
Open-Source Security mailing list post:
  http://www.openwall.com/lists/oss-security/2013/02/18/2

Comment 14 Jakub Hrozek 2013-02-19 07:55:51 UTC
Upstream backport to Debian:
http://arthurdejong.org/viewvc/nss-pam-ldapd?revision=1926&view=revision

Comment 18 Fedora Update System 2013-02-28 07:10:08 UTC
nss-pam-ldapd-0.7.16-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2013-03-04 21:13:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0590 https://rhn.redhat.com/errata/RHSA-2013-0590.html


Note You need to log in before you can comment on or make changes to this bug.